# Interface for submodule: StartEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: StartEvent
from ._proxies import StartEventProxy as _StartEventProxy
class _StartEventTemplate(_itkTemplate):
    """Interface for instantiating itk::StartEvent"""

    def __new__(cls, *args: Any) -> _StartEventProxy:
        """Instantiate itk::StartEvent"""
        ...

    def __call__(self, *args: Any) -> _StartEventProxy:
        """Instantiate itk::StartEvent"""
        ...

StartEvent = _StartEventTemplate

